<template>
  <layout title="Medicos">
    <div class="m-auto w-4/8 py-12">
    <div class="text-center">
      <h1 class="text-5xl uppercase bold">
        Medicos
      </h1>
    </div>
  </div>
    <div v-for="medico in medicos" :key="medico.id">
      <div class="text-center float-right">
        <!-- <inertia-link :href="(route('medicos.editar', medico))"
        class="border-b-2 pb-2 border-dotted italic text-blue-500">
          Editar &rarr;</inertia-link> -->
        <!-- <inertia-link :href="(route('medicos.eliminar', medico))"
        class="block border-b-2 pb-2 border-dotted italic text-red-500">
          Eliminar &rarr;</inertia-link> -->
        <!-- <form @submit.prevent="eliminar"> -->
          <button type="button" @click="eliminar(medico)"
          class="border border-red-300 p-1 text-red-400">
            Eliminar
          </button>
        <!-- </form> -->
      </div>
      <div>
        <inertia-link :href="route('medicos.mostrar', medico)">
          {{ medico.nombre }}
        </inertia-link>
      </div>
      <div>{{ medico.apellido }}</div>
      <div>{{ medico.especialidad }}</div>
    </div>
  </layout>
</template>

<script>
import Layout from '@/Layouts/Layout'

export default {
  components: {
    Layout,
  },
  props: {
    medicos: Array,
  },
  methods: {
    eliminar:function (medico){
      this.$inertia.delete(this.route('medicos.eliminar', medico))
    }
  },
  created() {
    console.log(this.medicos)
  }
}
</script>